Deposit

Get deposits handler.

get
/deposit
Query parameters
statusstring · enumRequired

The status of the in-flight sBTC deposit.

Possible values:
nextTokenstring · nullableOptional

the next token value from the previous return of this api call.

pageSizeinteger · int32 · nullableOptional

the maximum number of items in the response list.

Responses
chevron-right
200

Deposits retrieved successfully

application/json

Response to get deposits request.

nextTokenstring · nullableOptional

Next token for the search.

get
/deposit

Create deposit handler.

post
/deposit
Body

Request structure for create deposit request.

bitcoinTxOutputIndexinteger · int32Required

Output index on the bitcoin transaction associated with this specific deposit.

bitcoinTxidstringRequired

Bitcoin transaction id.

depositScriptstringRequired

Deposit script.

reclaimScriptstringRequired

Reclaim script.

transactionHexstringRequired

The raw transaction hex.

Responses
chevron-right
200

Deposit already exists

application/json

Deposit.

amountinteger · int64Required

Amount of BTC being deposited in satoshis.

bitcoinTxOutputIndexinteger · int32Required

Output index on the bitcoin transaction associated with this specific deposit.

bitcoinTxidstringRequired

Bitcoin transaction id.

depositScriptstringRequired

Raw deposit script binary in hex.

lastUpdateBlockHashstringRequired

The most recent Stacks block hash the API was aware of when the deposit was last updated. If the most recent update is tied to an artifact on the Stacks blockchain then this hash is the Stacks block hash that contains that artifact.

lastUpdateHeightinteger · int64Required

The most recent Stacks block height the API was aware of when the deposit was last updated. If the most recent update is tied to an artifact on the Stacks blockchain then this height is the Stacks block height that contains that artifact.

recipientstringRequired

Stacks address to received the deposited sBTC.

reclaimScriptstringRequired

Raw reclaim script binary in hex.

replacedByTxstring · nullableOptional

Transaction ID of the transaction that replaced this one via RBF.

statusstring · enumRequired

The status of the in-flight sBTC deposit.

Possible values:
statusMessagestringRequired

The status message of the deposit.

post
/deposit

Update deposits handler.

put
/deposit
Authorizations
x-api-keystringRequired

AWS Apigateway key

Body

Request structure for update deposit request.

Responses
chevron-right
200

Deposits updated successfully

application/json

Response to update deposits request.

put
/deposit

Get deposits by recipient handler.

get
/deposit/recipient/{recipient}
Path parameters
recipientstringRequired

the recipient to search by when getting all deposits.

Query parameters
nextTokenstring · nullableOptional

the next token value from the previous return of this api call.

pageSizeinteger · int32 · nullableOptional

the maximum number of items in the response list.

Responses
chevron-right
200

Deposits retrieved successfully

application/json

Response to get deposits request.

nextTokenstring · nullableOptional

Next token for the search.

get
/deposit/recipient/{recipient}

Get deposits by recipient handler.

get
/deposit/reclaim-pubkeys/{reclaimPubkeys}
Path parameters
reclaimPubkeysstringRequired

The dash-separated list of hex-encoded x-only pubkeys used to generate the reclaim_script.

Query parameters
nextTokenstring · nullableOptional

the next token value from the previous return of this api call.

pageSizeinteger · int32 · nullableOptional

the maximum number of items in the response list.

Responses
chevron-right
200

Deposits retrieved successfully

application/json

Response to get deposits request.

nextTokenstring · nullableOptional

Next token for the search.

get
/deposit/reclaim-pubkeys/{reclaimPubkeys}

Get deposits for transaction handler.

get
/deposit/{txid}
Path parameters
txidstringRequired

txid associated with the Deposit.

Query parameters
nextTokenstring · nullableOptional

the next token value from the previous return of this api call.

pageSizeinteger · int32 · nullableOptional

the maximum number of items in the response list.

Responses
chevron-right
200

Deposits retrieved successfully

application/json

Response to get deposits for transaction request.

nextTokenstring · nullableOptional

Next token for the search.

get
/deposit/{txid}

Get deposit handler.

get
/deposit/{txid}/{index}
Path parameters
txidstringRequired

txid associated with the Deposit.

indexstringRequired

output index associated with the Deposit.

Responses
chevron-right
200

Deposit retrieved successfully

application/json

Deposit.

amountinteger · int64Required

Amount of BTC being deposited in satoshis.

bitcoinTxOutputIndexinteger · int32Required

Output index on the bitcoin transaction associated with this specific deposit.

bitcoinTxidstringRequired

Bitcoin transaction id.

depositScriptstringRequired

Raw deposit script binary in hex.

lastUpdateBlockHashstringRequired

The most recent Stacks block hash the API was aware of when the deposit was last updated. If the most recent update is tied to an artifact on the Stacks blockchain then this hash is the Stacks block hash that contains that artifact.

lastUpdateHeightinteger · int64Required

The most recent Stacks block height the API was aware of when the deposit was last updated. If the most recent update is tied to an artifact on the Stacks blockchain then this height is the Stacks block height that contains that artifact.

recipientstringRequired

Stacks address to received the deposited sBTC.

reclaimScriptstringRequired

Raw reclaim script binary in hex.

replacedByTxstring · nullableOptional

Transaction ID of the transaction that replaced this one via RBF.

statusstring · enumRequired

The status of the in-flight sBTC deposit.

Possible values:
statusMessagestringRequired

The status message of the deposit.

get
/deposit/{txid}/{index}

Last updated

Was this helpful?